<template>
    <div>
        <table>
            <thead>
                <tr>
                    <th class="w-full">
                        Name
                    </th>
                    <th class="text-right">
                        Verbrauch<br><i style="text-weight: normal">erwartet</i>
                    </th>
                    <th>/</th>
                    <th class="text-right">
                        Budgetziel
                    </th>
                    <th class="whitespace-nowrap text-right">
                        Noch übrig
                    </th>
                    <th class="text-right" />
                </tr>
            </thead>
            <tr
                v-for="index in 10"
                :key="index"
                class="border-t-2 border-black"
            >
                <td
                    v-for="indexCell in 5"
                    :key="indexCell"
                    class="p-2"
                >
                    <Skeleton
                        height="2rem"
                        border-radius="16px"
                    />
                </td>
                <td>
                    <PButton
                        rounded
                        text
                        disabled
                    >
                        <template #icon>
                            <svg
                                xmlns="http://www.w3.org/2000/svg"
                                fill="none"
                                viewBox="0 0 24 24"
                                stroke-width="1.5"
                                stroke="currentColor"
                                class="h-5 w-5"
                            >
                                <path
                                    stroke-linecap="round"
                                    stroke-linejoin="round"
                                    d="M12 4.5v15m7.5-7.5h-15"
                                />
                            </svg>
                        </template>
                    </PButton>
                </td>
            </tr>
        </table>
    </div>
</template>

<script setup lang="ts">
import Skeleton from 'primevue/skeleton'
</script>